Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# Curve Data

This module provides access to Curve Data objects in Blender.

Example:

     from Blender import Curve, Object, Scene
     c = Curve.New()             # create new  curve data
     cur = Scene.getCurrent()    # get current scene
     ob = Object.New('Curve')    # make curve object
     ob.link(c)                  # link curve data with this object
     cur.link(ob)                # link object into scene

Classes |
`Curve` | This object gives access to Curve-specific data in Blender.

Function Summary |
Blender Curve or a list of Blender Curves | `Get(name)` Get the Curve Data object(s) from Blender.
Blender Curve | `New(name)` Create a new Curve Data object.

Function Details |

Get(name=None)

Get the Curve Data object(s) from Blender.

  Parameters:

    `name` - The name of the Curve Data.

    (type=string)

  Returns:

    It depends on the 'name' parameter:

    - (name): The Curve Data object with the given name;

    - (): A list with all Curve Data objects in the current scene.

    (type=Blender Curve or a list of Blender Curves)

New(name='CurData')

Create a new Curve Data object.

  Parameters:

    `name` - The Curve Data name.

    (type=string)

  Returns:

    The created Curve Data object.

    (type=Blender Curve)

<<< Previous | Home | Next >>>
Module Curve | Up | Class Curve